Page MenuHomePhabricator

ExternalGuidance: Organise module files by module directory
Closed, ResolvedPublic

Description

Per T193826, I'd recommend structuring the modules/ directory so that each module bundle has its own subdirectory. This makes it easier to find and work with the files, as well as to be more aware of the number of modules / T215943.

Event Timeline

Krinkle created this task.Feb 12 2019, 6:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 6:45 PM

Change 490314 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Reduce number of registered modules, Organise module files by module directory

https://gerrit.wikimedia.org/r/490314

santhosh claimed this task.Feb 14 2019, 3:49 AM
santhosh triaged this task as Normal priority.

Change 490314 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Reduce number of registered modules, Organise module files by module directory

https://gerrit.wikimedia.org/r/490314

santhosh moved this task from In Review to Done on the ExternalGuidance board.Feb 15 2019, 9:46 AM
Krinkle closed this task as Resolved.Feb 15 2019, 6:34 PM
Krinkle removed a project: Patch-For-Review.